@import '../../constants/vars';


.app-header {
  background: #ffffff;
  padding: 0;
  position: fixed;
  z-index: 100;
  box-shadow: 0 0 12px $blackTransparent2;
}

.app-sidebar:not(.ant-layout-sider-below) + .app-content-layout .app-header {
  width: calc(100% - 200px) !important;
}

.app-sidebar.ant-layout-sider-collapsed:not(.ant-layout-sider-below) + .app-content-layout .app-header {
  width: calc(100% - 80px) !important;
}

.app-sidebar.ant-layout-sider-collapsed.ant-layout-sider-below + .app-content-layout .app-header,
.app-sidebar.ant-layout-sider-below + .app-content-layout .app-header {
  width: 100% !important;
}

a.app-logout {
  color: #cf1322 !important;
}

.app-user-avatar {
  margin-top: -6px;
}

.ant-layout-header .trigger {
  font-size: 18px;
  line-height: 64px;
  padding: 0 24px;
  cursor: pointer;
  transition: color 0.3s;
}

.ant-layout-header .trigger:hover {
  color: $blue;
}

.header-menu-right-item {
  padding: 24px 24px 24px 10px;
  cursor: pointer;

  &:hover {
    background-color: rgba(0, 0, 0, 0.03);
  }
}